#!/bin/bash

set -e

[ $# == 3 ] || {
    echo Usage: scalepic.sh input output scale
    exit 1
}

INPUT="$1"
OUTPUT="$2"
SCALE="$3"

RAW=/tmp/scalepic_RAW_$$
TMP=/tmp/scapepic_TMP_$$

echo getting size of input image
eval $(identify -verbose "$INPUT"|grep '^ *[gG]eometry\:'|sed 's/^ *[gG]eometry\: *\([0-9]\+\)x\([0-9]\+\).*$/XSIZE=\1qYSIZE=\2/'|tr q '\n')

echo converting input image to raw
convert -depth 8 "$INPUT" RGB:$RAW
echo superzooming
./superzoom $RAW $XSIZE $YSIZE $RAW "$SCALE" | tee $TMP
eval $(grep '^nxsize\=' $TMP|tr ' ' '\n')
echo converting raw to output image
convert -depth 8 -size ${nxsize}x$nysize RGB:$RAW "$OUTPUT"

rm $RAW
rm $TMP
